OGRE: Ogre::AtomicObject< T > Class Template Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::AtomicObject< T > Class Template Reference
[General]

`#include <OgreAtomicWrappers.h>`

List of all members.

## Public Member Functions
| AtomicObject (const T &initial)
| AtomicObject (const AtomicObject< T > &cousin)
| AtomicObject ()
void | operator= (const AtomicObject< T > &cousin)
T | get (void) const
void | set (const T &v)
bool | cas (const T &old, const T &nu)
T | operator++ (void)
T | operator++ (int)
T | operator-- (int)
## Protected Attributes
OGRE_AUTO_MUTEX volatile T | mField

## Detailed Description

### template<class T>
class Ogre::AtomicObject< T >

Definition at line 43 of file OgreAtomicWrappers.h.

## Constructor & Destructor Documentation

template<class T>

Ogre::AtomicObject< T >::AtomicObject | ( | const T & | initial | ) |

Definition at line 47 of file OgreAtomicWrappers.h.

template<class T>

Ogre::AtomicObject< T >::AtomicObject | ( | const AtomicObject< T > & | cousin | ) |

Definition at line 51 of file OgreAtomicWrappers.h.

template<class T>

Ogre::AtomicObject< T >::AtomicObject | ( |  | ) |

Definition at line 55 of file OgreAtomicWrappers.h.

## Member Function Documentation

template<class T>

bool Ogre::AtomicObject< T >::cas | ( | const T & | old,
|  | const T & | nu |
| ) |  |  |

Definition at line 75 of file OgreAtomicWrappers.h.

References Ogre::AtomicObject< T >::mField, and OGRE_LOCK_AUTO_MUTEX.

template<class T>

T Ogre::AtomicObject< T >::get | ( | void |  | ) | const

Definition at line 63 of file OgreAtomicWrappers.h.

References Ogre::AtomicObject< T >::mField, and OGRE_LOCK_AUTO_MUTEX.

Referenced by Ogre::AtomicObject< T >::operator=().

template<class T>

T Ogre::AtomicObject< T >::operator++ | ( | void |  | ) |

Definition at line 83 of file OgreAtomicWrappers.h.

References Ogre::AtomicObject< T >::mField, and OGRE_LOCK_AUTO_MUTEX.

template<class T>

T Ogre::AtomicObject< T >::operator++ | ( | int |  | ) |

Definition at line 89 of file OgreAtomicWrappers.h.

References Ogre::AtomicObject< T >::mField, and OGRE_LOCK_AUTO_MUTEX.

template<class T>

T Ogre::AtomicObject< T >::operator-- | ( | int |  | ) |

Definition at line 95 of file OgreAtomicWrappers.h.

References Ogre::AtomicObject< T >::mField, and OGRE_LOCK_AUTO_MUTEX.

template<class T>

void Ogre::AtomicObject< T >::operator= | ( | const AtomicObject< T > & | cousin | ) |

Definition at line 58 of file OgreAtomicWrappers.h.

References Ogre::AtomicObject< T >::get().

template<class T>

void Ogre::AtomicObject< T >::set | ( | const T & | v | ) |

Definition at line 69 of file OgreAtomicWrappers.h.

References Ogre::AtomicObject< T >::mField, and OGRE_LOCK_AUTO_MUTEX.

## Member Data Documentation

template<class T>

OGRE_AUTO_MUTEX volatile T Ogre::AtomicObject< T >::mField`[protected]`

Definition at line 105 of file OgreAtomicWrappers.h.

Referenced by Ogre::AtomicObject< T >::cas(), Ogre::AtomicObject< T >::get(), Ogre::AtomicObject< T >::operator++(), Ogre::AtomicObject< T >::operator--(), and Ogre::AtomicObject< T >::set().

The documentation for this class was generated from the following file:

- OgreAtomicWrappers.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:53